summaryrefslogtreecommitdiffstats
path: root/libraries/libavc1394
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-11 20:00:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:50 +0200
commit53267b060a5bfab88b700e43be194d087857bf8b (patch)
tree9010ea04879cb1cc666c320dcb33bd118ec2cfdd /libraries/libavc1394
parentf98aef634ae9eb9f529c5d29f23e1d568f158136 (diff)
downloadslackbuilds-53267b060a5bfab88b700e43be194d087857bf8b.tar.gz
slackbuilds-53267b060a5bfab88b700e43be194d087857bf8b.tar.xz
libraries/libavc1394: Added to 12.0 repository
Diffstat (limited to 'libraries/libavc1394')
-rw-r--r--libraries/libavc1394/README5
-rw-r--r--libraries/libavc1394/libavc1394.SlackBuild66
-rw-r--r--libraries/libavc1394/libavc1394.info8
-rw-r--r--libraries/libavc1394/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/libraries/libavc1394/README b/libraries/libavc1394/README
new file mode 100644
index 0000000000..a535192187
--- /dev/null
+++ b/libraries/libavc1394/README
@@ -0,0 +1,5 @@
+libavc1394 is a programming interface for the 1394 Trade Association AV/C
+(Audio/Video Control) Digital Interface Command Set. It is intended for
+use with GNU/Linux IEEE-1394.
+
+This requires libraw (also available from SlackBuilds.org).
diff --git a/libraries/libavc1394/libavc1394.SlackBuild b/libraries/libavc1394/libavc1394.SlackBuild
new file mode 100644
index 0000000000..88b22f06eb
--- /dev/null
+++ b/libraries/libavc1394/libavc1394.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Pierre Cazenave revision date 11/11/2007
+# Modified by Robby Workman <rworkman@slackbuilds.org> for better
+# consistency with other scripts in our repository
+
+PRGNAM=libavc1394
+VERSION=0.5.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog AUTHORS COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libavc1394/libavc1394.info b/libraries/libavc1394/libavc1394.info
new file mode 100644
index 0000000000..6c8e7522b5
--- /dev/null
+++ b/libraries/libavc1394/libavc1394.info
@@ -0,0 +1,8 @@
+PRGNAM="libavc1394"
+VERSION="0.5.3"
+HOMEPAGE="http://sourceforge.net/projects/libavc1394"
+DOWNLOAD="http://downloads.sourceforge.net/libavc1394/libavc1394-0.5.3.tar.gz"
+MD5SUM="09e30b1fb5ae455b6d8407e457a711a3"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libavc1394/slack-desc b/libraries/libavc1394/slack-desc
new file mode 100644
index 0000000000..b237731afb
--- /dev/null
+++ b/libraries/libavc1394/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+libavc1394: libavc1394 (GNU/Linux 1394 AV/C Library)
+libavc1394:
+libavc1394: libavc1394 is a programming interface for the 1394 Trade
+libavc1394: Association AV/C (Audio/Video Control) Digital Interface
+libavc1394: Command Set. It is intended for use with GNU/Linux IEEE-1394.
+libavc1394:
+libavc1394: Homepage: http://linux1394.sourceforge.net/
+libavc1394:
+libavc1394:
+libavc1394:
+libavc1394: